import { createConfiguration, hooks } from '@midwayjs/hooks';
import * as Koa from '@midwayjs/koa';
import configDefault from './config/config.default';
import { connectCacheKey } from '../util/util';
/**
 * setup midway server
 */
export default createConfiguration({
  imports: [Koa, hooks()],
  importConfigs: [{ default: configDefault }],
  onStop(container, app) {
    // 停止所有连接
    const connCacheObject: object = app.getAttr(connectCacheKey);
    if (!connCacheObject) return;
    for (const key in connCacheObject) {
      const conn = connCacheObject[key];
      conn.close();
    }
  },
});
